Bug Hunting Session
Bug 66373 - FILEOPEN: MS .docx Fails to import properly. Watermark incorrectly rendered (6/6)
Summary: FILEOPEN: MS .docx Fails to import properly. Watermark incorrectly rendered (...
Status: RESOLVED MOVED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.1.0.1 rc
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on: 78301
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-29 16:35 UTC by Luke
Modified: 2014-08-13 19:19 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
MS .docx file fails to import correctly (172.90 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2013-06-29 16:42 UTC, Luke
Details
Comparison of DocX in Word vs Writer P1 (333.74 KB, image/png)
2013-06-29 16:43 UTC, Luke
Details
Watermark import bug (41.95 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2013-06-29 17:13 UTC, Luke
Details
Comparative screenshot with LO 4.2.5 and 4.3.0 - regression (173.45 KB, image/png)
2014-07-19 09:16 UTC, Alexandr
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Luke 2013-06-29 16:35:07 UTC
This bug was tested LibreOffice v4.1 RC1 running in windows 7 and XP. It appears that LibreOffice loses formatting when importing MS .docx files. I have attached an example.

Steps to reproduce the bug:
1. Open attached Demo-Hayden-Management.docx document in writer 
2. Open attached Demo-Hayden-Management.docx document in Word2007/Office 365
3. Compare the documents. 

Note from the screenshot that the "Confidential" overwrites the text. In MS Word, the watermark is rendered in a layer below and transparent.
Comment 1 Luke 2013-06-29 16:42:38 UTC
Created attachment 81689 [details]
MS .docx file fails to import correctly
Comment 2 Luke 2013-06-29 16:43:39 UTC
Created attachment 81690 [details]
Comparison of DocX in Word vs Writer P1
Comment 3 Luke 2013-06-29 17:13:10 UTC
Created attachment 81700 [details]
Watermark import bug

Here is a simplified example. I believe something about the header is causing a problem with the .docx importer.
Comment 4 Jorendc 2013-06-30 21:27:17 UTC
I can confirm this tested using Windows 8 with LibreOffice 4.2.0.0 Version: 4.2.0.0.alpha0+ Build ID: 9bd0a976017fadf4344cbf6746abd395dfcc3cb7
TinderBox: Win-x86@6, Branch:master, Time: 2013-06-29_22:42:02

In 3.6.7.1 there is no watermark rendered as far I can see.

Kind regards,
Joren
Comment 5 Alexandr 2014-07-19 09:16:12 UTC
Created attachment 103088 [details]
Comparative screenshot with LO 4.2.5 and 4.3.0 - regression

I do NOT reproduce this bug with LibreOffice 4.2.5 from Debian Wheezy. The watermark is perfect.

Unfortunately, the watermark becomes small in LibreOffice 4.3.0.3 (see attached screenshot). So, it is regression.
Comment 6 Jorendc 2014-07-19 11:49:15 UTC
(In reply to comment #5)

> Unfortunately, the watermark becomes small in LibreOffice 4.3.0.3 (see
> attached screenshot). So, it is regression.

Hi Alexandr,

You are right about that. It is already discussed in bug 78301. So lets unmark this bug as regression and discuss the regression in that bug. This bug (bug 66373) is specially about the test document Luke provided. It might be fixed too if the regression is fixed.

Kind regards,
Joren
Comment 7 Alexandr 2014-07-19 12:29:24 UTC
Lets note it as a dependency to check this one when bug 78301 will be fixed.
Comment 8 Alexandr 2014-08-05 16:47:27 UTC
The watermark has normal size, but misplaced in LibreOffice 4.4.0.0.alpha0+ Build ID: 04a65e2704ee80701ca750f2e7c8c0565d2aa830 TinderBox: Linux-rpm_deb-x86_64@46-TDF, Branch:master, Time: 2014-08-04_23:46:59
Comment 9 Luke 2014-08-13 19:19:11 UTC
Umesh's partially fixed this with his patch for Bug 78301. I moved the remaining issue to Bug 82575.